#!/usr/bin/ruby

require 'cgi'
require 'tempfile'


# for WMP setting(cbr)
# $WMA_LAME_PARAM		= "--preset cbr 192"

# other(vbr)
$WMA_LAME_PARAM		= "#{$CONF['mp3_encode_lame_param']}"

# wma -> mp3 convert stream
def execute(cgi, sourceFilename)
	raise if !File.exist? sourceFilename

	param = {
		'status' => 'OK',
		'type'   => 'audio/mpeg',
		'length' => '-1',
		'Accept-Ranges' => 'bytes',
		'Last-Modified' => CGI.rfc1123_date(File.mtime(sourceFilename)),
		'Content-Disposition' => "attachment; filename=\"#{File.basename(sourceFilename)}\""
	}
	print cgi.header(param)
	
	file = Tempfile.open( 'music_server_fifo' )
	fifo = file.path
	file.close true

	file = Tempfile.open( 'music_server_sh' )
	file.write "#!/usr/bin/sh\n"
	file.write "mkfifo #{fifo} >& /dev/null\n"
	file.write "mplayer \"#{sourceFilename}\" -ao pcm:file=#{fifo} < /dev/null >& /dev/null &\n"
	file.write "cat #{fifo}|lame #{$WMA_LAME_PARAM} - -\n"
	file.write "rm -f #{fifo}\n"
	prev = GC.disable
	file.close false
	system "sh #{file.path}"
	GC.enable if prev != false
end

