#!/usr/bin/ruby

begin
	require 'cgi'
	require 'uri'
	require 'eruby'
	require '../conf/millefee.conf.rb'
	
	$CGI = CGI.new
	base = $MUSIC_SERVER_RHTML_ROOT
	lib = base + '/lib/libCommon.rb'
	require lib
	createGlobalInstance base
	raise if !validateLoginUserMD5($CGI.params['loginUser'].to_s, $CGI.params['loginUserMD5'])

	print "Content-type: text/html\n\n"
	current = $CGI.params['currentMusic'].to_s.strip
	buf = ""
	index = 0
	dbFile = base + "/data/audio/log/play.#{$CGI.params['loginUser']}"
	while index < 60
		buf = ""
		begin
			File.open(dbFile){|db|
				error = 0
				buf = db.read.strip
			}
		rescue
		end
		break if current != buf
		index = index + 1
		sleep 1
		print "*\n"
	end
	print buf
rescue Exception => e
	print "<br/>#{e.message}  - #{File.basename(e.backtrace.shift)}\n\n"	
end
