#!/usr/bin/ruby

def invokeERuby( file )
	File.open( file ){|f|
    compiler = ERuby::Compiler.new
    s1 = Time.now
    code = compiler.compile_file(f)
    s2 = Time.now
		eval code, nil, file
    s3 = Time.now
  }
end

begin
	require 'cgi'
	require 'uri'
	require 'eruby'
	$CGI = CGI.new
	
	if ENV['PATH_TRANSLATED'] != nil
		base = File.dirname( ENV['PATH_TRANSLATED'] )
	elsif File.dirname( ENV['SCRIPT_FILENAME'] ) != nil
		require File.dirname( ENV['SCRIPT_FILENAME'] ) + '/../conf/millefee.conf.rb'
		base = $MUSIC_SERVER_RHTML_ROOT
	elsif File.dirname( ENV['SCRIPT_NAME'] ) != nil
		require File.dirname( ENV['SCRIPT_NAME'] ) + '/../conf/millefee.conf.rb'
		base = $MUSIC_SERVER_RHTML_ROOT
	end
	lib = base + '/lib/libCommon.rb'
	require lib
	createGlobalInstance base
	
	print "Content-type: text/html\n\n"
	invokeERuby URI.unescape( $MUSIC_SERVER_RHTML_ROOT + $CGI.params['rhtml'].to_s ) 
	
rescue Exception => e
	print "<br/>#{e.message}  - #{File.basename(e.backtrace.shift)}"	
end
