#!/usr/bin/ruby

require 'cgi'
require 'uri'

begin
	require 'conf/millefee.conf.rb'
	require $MUSIC_SERVER_RHTML_ROOT + '/lib/libCommon.rb'
	
	$CGI = CGI.new

	$CONF = loadConfig $MUSIC_SERVER_RHTML_ROOT + '/conf/server.conf.rhtml'
	$USERINFO = loadConfig $MUSIC_SERVER_RHTML_ROOT + '/conf/password.conf.rhtml'
	user = $CGI.params['user'].to_s
	md5 = $USERINFO[user].to_s
	fileType = $CGI.params['type'].to_s
	fileName = $CGI.params['file'].to_s
	raise if  Digest::MD5.hexdigest( md5 + ":" + fileType + ":" + fileName ) != $CGI.params["md5"].to_s
	plugin = "filter/" + fileType + "/" +  File.extname(fileName).sub('.', '').downcase + ".rb"
	require plugin
 	File.open( $MUSIC_SERVER_RHTML_ROOT + "/data/audio/log/play.#{user}", "w" ) {|file|
		file.write fileName
	}
	execute $CGI, $CONF['music_dir'] + fileName
	File.delete  $MUSIC_SERVER_RHTML_ROOT + "/data/audio/log/play.#{user}"
rescue Exception => e
	begin
		displayHtmlHeader
		displayExceptionMessage e
		File.delete $MUSIC_SERVER_RHTML_ROOT + "/data/audio/log/play.#{user}"
	rescue
		print "Content-type: text/html\n\n"
	end
	exit
end

