#!/usr/bin/ruby
require 'cgi'

print "Content-type: text/html\n\n"
begin
	require 'conf/millefee.conf.rb'
	require $MUSIC_SERVER_RHTML_ROOT + '/lib/libCommon.rb'
	require $MUSIC_SERVER_RHTML_ROOT + '/lib/libAudio.rb'
	$CGI = CGI.new
	$CONF = loadConfig $MUSIC_SERVER_RHTML_ROOT + '/conf/password.conf.rhtml'
	user = $CGI.params['loginUser'].to_s
	md5 = $CONF[user]
 	raise if md5 != $CGI.params['loginUserMD5'].to_s

	if $CGI.params['displayPlayListItem'].size > 0
		file = $CGI.params['playListFileName'].to_s
		item = MusicPlayList.new $MUSIC_SERVER_RHTML_ROOT + file
		displaySelectedPlaylistMusics item
	end
	
rescue Exception => e
	begin
		displayHtmlHeader
		displayExceptionMessage e
	rescue
		print "Content-type: text/html\n\n"
	end
	exit
end
