#!/usr/bin/ruby

require 'cgi'
require 'tempfile'


# for WMP setting(cbr)
# $MP3_LAME_PARAM     = "--inputmp3 --preset cbr 192"

# other
$MP3_LAME_PARAM		= "#{$CONF['mp3_encode_lame_param']}"

# mp3 direct stream
def execute(cgi, sourceFilename)
	raise if !File.exist? sourceFilename
	param = {
		'status' => 'OK',
		'type'   => 'audio/mpeg',
		'length' => '-1',
		'Last-Modified' => CGI.rfc1123_date(File.mtime(sourceFilename)),
		'Accept-Ranges' => 'bytes',
		'Content-Disposition' => "attachment; filename=\"#{File.basename(sourceFilename)}\""
	}
	print cgi.header(param)
   
	file = Tempfile.open( 'music_server_sh' )
	file.write "#!/usr/bin/sh\n"
    file.write "lame #{$MP3_LAME_PARAM} \"#{sourceFilename}\" - 2>/dev/null\n"
    prev = GC.disable
    file.close false
    system "sh #{file.path}"
    GC.enable if prev != false
end

